Get Informed out of Data

Full width home advertisement

Raspbian

DataScience

Post Page Advertisement [Top]

WebIOpi for Raspberry pi 4

WebIOpi for Raspberry pi 4
WebIOPi is an absolutely great freeware web interface for the Raspberry Pi, a tribute to the developers! 

This let Raspberry Pis GPIO to be controlled with just a few lines of code over internet with python programming.



When you are reading this, it is not the official version of webiopi as it has been discontinued before rpi3.

But, patches provided by developers still works on Raspberry pi 4.

Before getting into WebIOPi we need to provide access for Remote GPIO control via Raspberry Pi configuration.

for doing it, run  

sudo raspi-config -> Interfacing Options -> Remote GPIO



The following commands will install WebIOPi on raspberry pi 4 in just 10 minutes.

$ wget http://sourceforge.net/projects/webiopi/files/WebIOPi-0.7.1.tar.gz
$ tar xvzf WebIOPi-0.7.1.tar.gz
$ cd WebIOPi-0.7.1
$ wget https://raw.githubusercontent.com/doublebind/raspi/master/webiopi-pi2bplus.patch
$ patch -p1 -i webiopi-pi2bplus.patch
$ sudo ./setup.sh

To start in the background, run sudo /etc/init.d/webiopi start
To start on boot, run sudo update-rc.d webiopi defaults

As the process gets completed, now you can get into WebIOpi page via https://raspi-ip:8000 inside your network.

Username : webiopi
Password: raspberry

You will end up check the GPIO remotely, also it can be used as API for GPIO in programming.

For more see here: http://webiopi.trouch.com/

3 comments:

  1. Getting th following error:

    Oct 23 21:00:12 raspberrypi python3[1198]: self.serveFile(relativePath)
    Oct 23 21:00:12 raspberrypi python3[1198]: File "/usr/local/lib/python3.7/dist-packages/WebIOPi-0.7.1-py3.7-linux-armv7l.egg/webiopi/protocols/http.py", liĆ¢€¦ in serveFile
    Oct 23 21:00:12 raspberrypi python3[1198]: if not (realPath.startswith(os.getcwd())
    Oct 23 21:00:12 raspberrypi python3[1198]: FileNotFoundError: [Errno 2] No such file or directory
    Oct 23 21:00:12 raspberrypi python3[1198]: During handling of the above exception, another exception occurred:
    Oct 23 21:00:12 raspberrypi python3[1198]: Traceback (most recent call last):
    Oct 23 21:00:12 raspberrypi python3[1198]: File "/usr/lib/python3.7/socketserver.py", line 316, in _handle_request_noblock
    Oct 23 21:00:12 raspberrypi python3[1198]: self.process_request(request, client_address)
    Oct 23 21:00:12 raspberrypi python3[1198]: File "/usr/lib/python3.7/socketserver.py", line 347, in process_request
    Oct 23 21:00:12 raspberrypi python3[1198]: self.finish_request(request, client_address)
    H

    ReplyDelete

Bottom Ad [Post Page]